Package org.codehaus.janino

# Interface Java.Annotatable

All Known Subinterfaces:
  `Java.AnnotationTypeDeclaration`, `Java.ClassDeclaration`, `Java.EnumDeclaration`, `Java.MemberTypeDeclaration`, `Java.NamedTypeDeclaration`, `Java.PackageMemberTypeDeclaration`, `Java.TypeDeclaration`

All Known Implementing Classes:
  `Java.AbstractClassDeclaration`, `Java.AbstractTypeDeclaration`, `Java.AnonymousClassDeclaration`, `Java.ConstructorDeclarator`, `Java.EnumConstant`, `Java.FieldDeclaration`, `Java.FunctionDeclarator`, `Java.InterfaceDeclaration`, `Java.LocalClassDeclaration`, `Java.MemberAnnotationTypeDeclaration`, `Java.MemberClassDeclaration`, `Java.MemberEnumDeclaration`, `Java.MemberInterfaceDeclaration`, `Java.MethodDeclarator`, `Java.NamedClassDeclaration`, `Java.PackageMemberAnnotationTypeDeclaration`, `Java.PackageMemberClassDeclaration`, `Java.PackageMemberEnumDeclaration`, `Java.PackageMemberInterfaceDeclaration`

Enclosing class:
  `Java`

public static interface Java.Annotatable
Representation of Java elements that can be annotated: Fields, constructors, methods, type declarations.

## Method Summary

Modifier and Type
Method
Description
`Java.Annotation[]`
`getAnnotations()`

## Method Details

### getAnnotations

Java.Annotation[] getAnnotations()

Returns:
  The annotations of this `Java.TypeDeclaration`, `Java.FieldDeclaration`, `Java.MethodDeclarator` or `Java.ConstructorDeclarator`